#include <MegaServo.h>

MegaServo Servos[4]; // 4 servos

char cmd[4]; // 4 octets de commande

int indice = 0;


void setup()
{
  Serial.begin(9600);

  // left leg
  Servos[0].attach(8); // genou
  Servos[1].attach(11); // hanche
  // right leg
  Servos[2].attach(10); // genou
  Servos[3].attach(9); // hanche

}


void loop()
{
  if (Serial.available()) 
  {
    char rec = Serial.read();
    switch (rec)
    {
    case 'p':
      indice = 0;
      changePosition();
      break;
    case '0':
    case '1':
    case '2':
    case '3':
    case '4':
    case '5':
    case '6':
    case '7':
    case '8':
    case '9':
      cmd[indice++] = rec;
      break;
    }
  }
}

void changePosition()
{
  //
  Serial.print("> ");
  Serial.print(cmd);
  Serial.println();
  //
  if (cmd[0] != '0') 
  {
    Servos[0].write(18*(cmd[0]-48));
  }
  if (cmd[1] != '0') 
  {
    Servos[1].write(18*(cmd[1]-48));
  }
  if (cmd[2] != '0') 
  {
    Servos[2].write(18*(cmd[2]-48));
  }
  if (cmd[3] != '0') 
  {
    Servos[3].write(18*(cmd[3]-48));
  }

}
